- Main Page
- Namespaces
- Files

- File List
- File Members

# C:/Musimathics_local/Musimat/MusimatTutorial/B0300.cpp File Reference

`#include "MusimatTutorial.h"`

Go to the source code of this file.

## Functions
| MusimatTutorialSection (B0300)

## Function Documentation

MusimatTutorialSection | ( | B0300 |  | ) |

Definition at line 2 of file B0300.cpp.

    00002                               {
    00003 Print("*** B.3 Unicode (ASCII) Character Codes ***");
    00004 /*****************************************************************************
    00005
    00006 B.3 Unicode (ASCII) Character Codes
    00007
    00008 The Universal Character Set, or Unicode, encodes virtually all of the world’s characters and even
    00009 leaves room for characters not yet invented. A common subset of Unicode is ASCII (American Stan-
    00010 dard Code for Information Interchange), which was proposed by ANSI in 1963 and adopted in 1968.
    00011 Recent standards that refer to ASCII include ISO-14962-1997 and ANSI-X3.4-1986 (R1997). The
    00012 ASCII code includes many punctuation marks and white space such as blank, tab, and newline
    00013 (which forces subsequent text onto a new line).
    00014
    00015 Table B.1
    00016 ASCII Character Codes
    00017
    00018         0       1       2       3       4       5       6       7       8       9       10      11      12      13      14      15
    00019 0       NUL     SOH     STX     ETX     EOT     ENQ     ACK     BEL     BS      HT      LF      VT      FF      CR      SO      SI
    00020 1       DLE     DC1     DC2     DC3     DC4     NAK     SYN     ETB     CAN     EM      SUB     ESC     FS      GS      RS      US
    00021 2       SP      !       "       #       $       %       &       '       (       )       *       +       ,       -       .       /
    00022 3       0       1       2       3       4       5       6       7       8       9       :       ;       <       =       >       ?
    00023 4       @       A       B       C       D       E       F       G       H       I       J       K       L       M       N       O
    00024 5       P       Q       R       S       T       U       V       W       X       Y       Z       [       \       ]       ^       _
    00025 6       `       a       b       c       d       e       f       g       h       i       j       k       l       m       n       o
    00026 7       p       q       r       s       t       u       v       w       x       y       z       {       |       }       ~       DEL
    00027
    00028
    00029 To obtain the integer ASCII number corresponding to a character, first find the row r and column
    00030 c containing the character in table B.1. The ASCII number of this character is . For example,
    00031 the character ‘A’ corresponds to .
    00032
    00033 The characters between 0 and 31 and DEL are reserved for functions that mostly don’t concern
    00034 computer users, except for CR (carriage return) and LF (line feed). SP stands for the space
    00035 character '  '. This is another one of those tables that you must learn if you expect your geek friends
    00036 to take you seriously, so place a copy of table B.1 at your bedside or above the mantelpiece, where
    00037 you can refer to it frequently.
    00038
    00039 *****************************************************************************/
    00040 }}